View Issue Details

This bug affects 2 person(s).
 16
IDProjectCategoryView StatusLast Update
16154Bug reportsTheme editorpublic2022-05-19 17:18
Reportertpartner Assigned Togabrieljenik  
PrioritynormalSeveritypartial_block 
Status closedResolutionfixed 
Product Version4.1.16 
Target Version4.1.17 
Summary16154: Not all files imported with custom question theme
Description

When importing a custom question theme, a .lss file in the assets directory is always skipped.

I have tested with 6 themes and it is consistent.

Sample theme attached.

TagsNo tags attached.
Bug heat16
Complete LimeSurvey version number (& build)4.1.16
I will donate to the project if issue is resolvedNo
BrowserN/A
Database type & versionmysqlnd 5.0.12
Server OS (if known)Windows 10
Webserver software & version (if known)Apache/2.4.39 (Win64)
PHP Version7.3.7

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

tpartner

tpartner

2020-04-17 21:29

partner  

capture_9.png (53,807 bytes)   
capture_9.png (53,807 bytes)   
Searchable-Dropdown.zip (108,321 bytes)
cdorin

cdorin

2021-01-21 12:27

manager   ~61608

After taking a close look at this issue, it looks more like a new feature: import question theme button should be able to import the .lss file/demo as well.

We will postpone this issues and focus on other question theme related problems

tpartner

tpartner

2021-01-21 13:13

partner   ~61611

Why is this a new feature? All other files, including images are imported. The .lss file is one of the most fundamental LimeSurvey file formats.

gabrieljenik

gabrieljenik

2022-05-05 19:28

manager   ~69439

Hi @Tpartner.

So you want the lss file to be uploaded to the assets or to be automatically imported as a new survey?

tpartner

tpartner

2022-05-05 19:52

partner   ~69440

Hi @gabrieljenik, no I don't see the need to import it as a new survey. Simply being able to have it uploaded with all other files when importing the theme.

The use-case is creating a complete package (for LimeStore or GIT) that would include a demo survey if the user wishes to install it.

gabrieljenik

gabrieljenik

2022-05-09 16:47

manager   ~69524

PR: https://github.com/LimeSurvey/LimeSurvey/pull/2409

gabrieljenik

gabrieljenik

2022-05-18 01:02

manager   ~69755

Last edited: 2022-05-18 01:03

Tested!
Pending merge.

DenisChenu

DenisChenu

2022-05-18 09:44

developer   ~69761

@tpartner : why we need this file ? User already have to upload lss separately. Such file are not used by theme.

Maybe a better system "not upload file transparently" by config.xml ? We don't need the demo survey, we don't need all pictures (https://gitlab.com/SondagesPro/QuestionTheme/really_hidden_equation/-/raw/master/survey/questions/answer/equation/assets/proof.png?raw=true for example)

tpartner

tpartner

2022-05-18 17:56

partner   ~69799

As I mentioned, it's to create a complete package for the LimeStore. I have been pushed to participate in the LimeStore so I like to include a demo survey for question themes. My documentation indicates where these files are in the theme directory so I believe they should be included in the import. This simply makes it easier for the end user to find. Is there a problem that I am missing.

DenisChenu

DenisChenu

2022-05-18 18:05

developer   ~69800

Oh yes : via limestore, not locally :)

I'm OK here.

gabrieljenik

gabrieljenik

2022-05-19 12:00

manager   ~69835

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=33491

LimeBot

LimeBot

2022-05-19 17:18

administrator   ~69868

Fixed in Release 5.3.15+220519

Related Changesets

LimeSurvey: master 84846923

2022-05-19 12:00:41

gabrieljenik


Committer: GitHub Details Diff
Fixed issue 16154: Not all files imported with custom question theme (#2409)

Co-authored-by: encuestabizdevgit <devgit@encuesta.biz>
Affected Issues
16154
mod - application/config/config-defaults.php Diff File

Issue History

Date Modified Username Field Change
2020-04-17 21:29 tpartner New Issue
2020-04-17 21:29 tpartner Status new => assigned
2020-04-17 21:29 tpartner Assigned To => cdorin
2020-04-17 21:29 tpartner File Added: capture_9.png
2020-04-17 21:29 tpartner File Added: Searchable-Dropdown.zip
2020-04-17 23:25 cdorin Priority none => normal
2020-04-17 23:25 cdorin Status assigned => confirmed
2020-04-17 23:25 cdorin Zoho Sprints => |Yes|
2020-04-17 23:25 swendrich Zoho Sprints ID => 14469000000051049
2021-01-21 12:27 cdorin Note Added: 61608
2021-01-21 12:27 cdorin Assigned To cdorin =>
2021-01-21 12:27 cdorin Status confirmed => acknowledged
2021-01-21 13:13 tpartner Note Added: 61611
2022-05-05 19:28 gabrieljenik Note Added: 69439
2022-05-05 19:28 gabrieljenik Bug heat 4 => 6
2022-05-05 19:52 tpartner Note Added: 69440
2022-05-05 20:33 gabrieljenik Assigned To => gabrieljenik
2022-05-05 20:33 gabrieljenik Status acknowledged => assigned
2022-05-06 16:16 Mazi Bug heat 6 => 12
2022-05-09 16:47 gabrieljenik Status assigned => testing
2022-05-09 16:47 gabrieljenik Note Added: 69524
2022-05-18 01:02 gabrieljenik Status testing => resolved
2022-05-18 01:02 gabrieljenik Resolution open => fixed
2022-05-18 01:02 gabrieljenik Note Added: 69755
2022-05-18 01:03 gabrieljenik Note Edited: 69755
2022-05-18 09:44 DenisChenu Note Added: 69761
2022-05-18 09:44 DenisChenu Bug heat 12 => 14
2022-05-18 17:56 tpartner Note Added: 69799
2022-05-18 18:05 DenisChenu Note Added: 69800
2022-05-19 12:00 gabrieljenik Changeset attached => LimeSurvey master 84846923
2022-05-19 12:00 gabrieljenik Note Added: 69835
2022-05-19 17:18 LimeBot Note Added: 69868
2022-05-19 17:18 LimeBot Status resolved => closed
2022-05-19 17:18 LimeBot Bug heat 14 => 16